Bug 868081 - Display overlaps when adding sshkey using long name on IE9.
Display overlaps when adding sshkey using long name on IE9.
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Website (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Steve Goodwin
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-18 23:34 EDT by Mengjiao Gao
Modified: 2015-05-14 21:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-19 14:26:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Display overlapped when adding long ssh key name on IE9 (140.26 KB, image/png)
2012-10-18 23:34 EDT, Mengjiao Gao
no flags Details

  None (edit)
Description Mengjiao Gao 2012-10-18 23:34:12 EDT
Created attachment 629752 [details]
Display overlapped when adding long ssh key name on IE9

Description of problem:

The display of sshkey will overlap when adding an sshkey using long sshkey name on IE9.

Version-Release number of selected component (if applicable):

devenv_2348

How reproducible:

always

Steps to Reproduce:
1.Go to openshift website and login
2.Add an sshkey using long name
3.
  
Actual results:

The display will overlap.Details see in attachment.

Expected results:

The display should be correct.

Additional info:
Comment 1 Steve Goodwin 2012-10-22 11:22:00 EDT
fix committed 69e38c4143a1ee2af421f4aafe853d9b7b200798
Comment 2 Mengjiao Gao 2012-11-01 05:15:00 EDT
The code have been merged in the devenv_2417, So put it to ON_QA.
Comment 3 Mengjiao Gao 2012-11-01 05:16:53 EDT
Tested this issue on INT(devenv_2416) , and devenv_2417, found that the issue still existed on INT and DEVENV. So I will put it to assigned status back.
Comment 4 Steve Goodwin 2012-11-15 16:21:10 EST
additional fix committed

pull request
https://github.com/openshift/origin-server/pull/918

Note: 
IE will wrap the sshkey name within the table cell. It doesn't support the css rule text-overflow: ellipsis; So within Firefox, Chrome and Safari it will truncate (VeryLongNameeee...)
Comment 5 Yujie Zhang 2012-11-16 02:21:13 EST
(In reply to comment #4)
Tested on devenv_2486, long sshkey name will not overlaps now, thanks.

Note You need to log in before you can comment on or make changes to this bug.